org.apache.commons.collections4.queue

## Class UnmodifiableQueue<E>

- java.lang.Object
- - org.apache.commons.collections4.collection.AbstractCollectionDecorator<E>
  - - org.apache.commons.collections4.queue.AbstractQueueDecorator<E>
    - - org.apache.commons.collections4.queue.UnmodifiableQueue<E>

- Type Parameters:
    `E` - the type of elements held in this queue
  All Implemented Interfaces:
    Serializable, Iterable<E>, Collection<E>, Queue<E>, Unmodifiable

      public final class UnmodifiableQueue<E>
      extends AbstractQueueDecorator<E>
      implements Unmodifiable

  Decorates another `Queue` to ensure it can't be altered.

  Attempts to modify it will result in an UnsupportedOperationException.

  Since:
    4.0
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(Object object)`
    `boolean` | `addAll(Collection<? extends E> coll)`
    `void` | `clear()`
    `Iterator<E>` | `iterator()`
    `boolean` | `offer(E obj)`
    `E` | `poll()`
    `E` | `remove()`
    `boolean` | `remove(Object object)`
    `boolean` | `removeAll(Collection<?> coll)`
    `boolean` | `removeIf(Predicate<? super E> filter)`
    `boolean` | `retainAll(Collection<?> coll)`
    `static <E> Queue<E>` | `unmodifiableQueue(Queue<? extends E> queue)` Factory method to create an unmodifiable queue.

    - ### Methods inherited from class org.apache.commons.collections4.queue.AbstractQueueDecorator

      `decorated, element, peek`

    - ### Methods inherited from class org.apache.commons.collections4.collection.AbstractCollectionDecorator

      `contains, containsAll, isEmpty, setCollection, size, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `contains, containsAll, equals, hashCode, isEmpty, parallelStream, size, spliterator, stream, toArray, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Method Detail

    - #### unmodifiableQueue

          public static <E> Queue<E> unmodifiableQueue(Queue<? extends E> queue)

      Factory method to create an unmodifiable queue.

      If the queue passed in is already unmodifiable, it is returned.

      Type Parameters:
        `E` - the type of the elements in the queue
      Parameters:
        `queue` - the queue to decorate, must not be null
      Returns:
        an unmodifiable Queue
      Throws:
        `NullPointerException` - if queue is null

    - #### iterator

          public Iterator<E> iterator()

      Specified by:
        `iterator` in interface `Iterable<E>`
      Specified by:
        `iterator` in interface `Collection<E>`
      Overrides:
        `iterator` in class `AbstractCollectionDecorator<E>`

    - #### add

          public boolean add(Object object)

      Specified by:
        `add` in interface `Collection<E>`
      Specified by:
        `add` in interface `Queue<E>`
      Overrides:
        `add` in class `AbstractCollectionDecorator<E>`

    - #### addAll

          public boolean addAll(Collection<? extends E> coll)

      Specified by:
        `addAll` in interface `Collection<E>`
      Overrides:
        `addAll` in class `AbstractCollectionDecorator<E>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<E>`
      Overrides:
        `clear` in class `AbstractCollectionDecorator<E>`

    - #### remove

          public boolean remove(Object object)

      Specified by:
        `remove` in interface `Collection<E>`
      Overrides:
        `remove` in class `AbstractCollectionDecorator<E>`

    - #### removeIf

          public boolean removeIf(Predicate<? super E> filter)

      Specified by:
        `removeIf` in interface `Collection<E>`
      Overrides:
        `removeIf` in class `AbstractCollectionDecorator<E>`
      Since:
        4.4

    - #### removeAll

          public boolean removeAll(Collection<?> coll)

      Specified by:
        `removeAll` in interface `Collection<E>`
      Overrides:
        `removeAll` in class `AbstractCollectionDecorator<E>`

    - #### retainAll

          public boolean retainAll(Collection<?> coll)

      Specified by:
        `retainAll` in interface `Collection<E>`
      Overrides:
        `retainAll` in class `AbstractCollectionDecorator<E>`

    - #### offer

          public boolean offer(E obj)

      Specified by:
        `offer` in interface `Queue<E>`
      Overrides:
        `offer` in class `AbstractQueueDecorator<E>`

    - #### poll

          public E poll()

      Specified by:
        `poll` in interface `Queue<E>`
      Overrides:
        `poll` in class `AbstractQueueDecorator<E>`

    - #### remove

          public E remove()

      Specified by:
        `remove` in interface `Queue<E>`
      Overrides:
        `remove` in class `AbstractQueueDecorator<E>`

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.